# flags for debug build
#CS =  /AM /W3 /DNEED_GETOPT /c /Od /Zi
#LF = /ST:12000 /NOI /M /CO
# flags for release build.
CS =  /AM /W3 /DNEED_GETOPT  /c /Od
LF = /ST:12000 /NOI /M

CFLAGS = $(CS)

OBJSS   = ged2htm.obj pafsubs.obj pafutils.obj getopt.obj

all:    ged2htm.exe paf2htm.exe paf2ped.exe ged2ped.exe placedat.exe ptrtst.exe hashtst.exe gedhash.lib misc.lib
#all:    placedat.exe

paf2htm.obj: ged2htm.c
        cl $(CS) /Fopaf2htm.obj /DHTML ged2htm.c

ged2htm.obj: ged2htm.c
        cl $(CS) /DHTML /DUSE_GEDCOM ged2htm.c

ged2ped.obj: ged2htm.c
        cl $(CS) /Foged2ped.obj /DUSE_GEDCOM ged2htm.c

ped.obj: ged2htm.c
        cl $(CS) /Foped.obj ged2htm.c

pafutils.obj: pafutils.c
        cl $(CS) pafutils.c

pafsubs.obj: pafsubs.c
        cl $(CS) pafsubs.c

getopt.obj: getopt.c
        cl $(CS) getopt.c

gedutils.obj: gedutils.c
        cl $(CS) /DUSE_GEDCOM /DHTML gedutils.c

gedsubs.obj: gedsubs.c
        cl $(CS) /DUSE_GEDCOM /DHTML gedsubs.c

gedhash.lib:  gedhash.obj gedrtnsh.obj ramfile.obj printer.obj
        del gedhash.lib
        echo +gedhash.obj gedrtnsh.obj ramfile.obj printer.obj, > temp.cmd
        lib gedhash @temp.cmd
        del temp.cmd

misc.lib:  printer.obj cfgfile.obj path.obj portable.obj
        del misc.lib
        echo +printer.obj cfgfile.obj path.obj portable.obj , > temp.cmd
        lib misc @temp.cmd
        del temp.cmd

ged2htm.exe:  ged2htm.obj gedutils.obj gedsubs.obj fsort.obj getopt.obj gedhash.lib misc.lib doswld.obj
        echo Linking ged2htm
        echo $(LF) + > temp.cmd
        echo ged2htm.obj gedsubs.obj gedutils.obj + >> temp.cmd
        echo getopt.obj fsort.obj doswld.obj, ged2htm >> temp.cmd
        echo NUL,gedhash.lib misc.lib,, >> temp.cmd
        link @temp.cmd
        del temp.cmd

placedat.exe:  placedat.obj gedutils.obj gedsubs.obj fsort.obj getopt.obj gedhash.lib misc.lib doswld.obj
        echo Linking placedat
        echo $(LF) + > temp.cmd
        echo placedat.obj gedsubs.obj gedutils.obj + >> temp.cmd
        echo getopt.obj fsort.obj doswld.obj, placedat >> temp.cmd
        echo NUL,gedhash.lib misc.lib,, >> temp.cmd
        link @temp.cmd
        del temp.cmd

ptrtst.exe:  ptrtst.obj printer.obj cfgfile.obj getopt.obj gedhash.lib misc.lib
        echo Linking placedat
        echo $(LF) + > temp.cmd
        echo cfgfile.obj + >> temp.cmd
        echo ptrtst.obj getopt.obj , ptrtst >> temp.cmd
        echo NUL,gedhash.lib misc.lib,, >> temp.cmd
        link @temp.cmd
        del temp.cmd

ged2ped.exe: ged2ped.obj gedutils.obj gedsubs.obj fsort.obj getopt.obj gedhash.lib misc.lib doswld.obj
        echo Linking ged2ped
        echo $(LF) + > temp.cmd
        echo ged2ped.obj gedsubs.obj gedutils.obj  + >> temp.cmd
        echo getopt.obj fsort.obj doswld.obj, ged2ped >> temp.cmd
        echo NUL,gedhash.lib misc.lib,, >> temp.cmd
        link @temp.cmd
        del temp.cmd


paf2htm.exe:  paf2htm.obj pafsubs.obj pafutils.obj getopt.obj fsort.obj misc.lib
        echo Linking paf2htm
        echo $(LF) + > temp.cmd
        echo paf2htm.obj pafutils.obj pafsubs.obj fsort.obj getopt.obj, paf2htm >> temp.cmd
        echo NUL,misc.lib,, >> temp.cmd
        link @temp.cmd
        del temp.cmd


paf2ped.exe: ped.obj pafsubs.obj pafutils.obj getopt.obj fsort.obj misc.lib
        echo Linking ped
        echo $(LF) + > temp.cmd
        echo cfgfile.obj + >> temp.cmd
        echo ped.obj pafutils.obj pafsubs.obj printer.obj path.obj fsort.obj getopt.obj, paf2ped >> temp.cmd
        echo NUL,misc.lib,, >> temp.cmd
        link @temp.cmd
        del temp.cmd

hashtst.exe:     hashtst.obj fsort.obj doswld.obj getopt.obj gedhash.lib misc.lib
        echo Linking hashtst2.exe
        echo $(LF) + > temp.cmd
        echo hashtst.obj fsort.obj getopt.obj doswld.obj, hashtst  >> temp.cmd
        echo NUL,gedhash.lib misc.lib,, >> temp.cmd
        link @temp.cmd
        del temp.cmd

#/ST:12000 /NOI /M /CO +
#..\pac\swap.obj + ged2htm.obj,
# ged2htm,NUL,..\pac\pac;
#        del temp.cmd

clean:
        del *.exe
        del *.lib
        del *.htm
        del *.rpt
        del *.obj
        del *.bak
        del *.pdb
        del *.cv4
        del current.sts

