#ifndef GEDSUBS_H
#define GEDSUBS_H
#define TRUE 1
#define FALSE 0

/* RECORD_PTR was short for pafctools.  changed to long.  Really same as */
/* RIN now. */
typedef long RECORD_PTR;
typedef long RIN;

typedef struct {
  char fname[30];
  int reclen;
  FILE *ptr;
  int nrec;
  RECORD_PTR freehead, freetail, currec;
} PAF_FILE;

typedef struct {
  RECORD_PTR left;
  char name[17];
  RECORD_PTR right;
} NAME_REC;

#define DATE_STR_LEN 20

#ifdef USE_GEDCOM
typedef struct {
        char date[DATE_STR_LEN];
} LONGDATE;

#else
typedef long int LONGDATE;
#endif

#define NAME_WORD_LEN 50
typedef struct {
  char lastName[NAME_WORD_LEN];
  char middleName[NAME_WORD_LEN];
  char firstName[NAME_WORD_LEN];
} NAMES;

#define PLACE_WORD_LEN 50

typedef struct {
  char place[PLACE_WORD_LEN];
  char date[DATE_STR_LEN];
} PLACES;

typedef struct {
  NAMES names;
  char sex;
  PLACES birth;/*15*/
  PLACES christ;/*27*/
  PLACES death;/*39*/
  PLACES burial;/*51*/
  RECORD_PTR oldersib, ownmarriage, parentmarriage;/*80*/
  char idnum[10];/*90*/
  RECORD_PTR notepad;/*92*/
  RECORD_PTR rin; /* rin used to extract this data */
} INDIV_REC;

typedef struct {
  RECORD_PTR husband, wife, child;
  PLACES married;
  char sealings[5];
  RECORD_PTR mnext_husband;
  RECORD_PTR mnext_wife;
  char divorce;
  RECORD_PTR mrin; /* mrin used to extract this data */
} MARR_REC;

typedef struct {
  RECORD_PTR next_pad;
  char notelines[254];
} NOTE_REC;

typedef struct {
  char name[41];
  char addr1[41];
  char addr2[41];
  char addr3[41];
  char phone[41];
  char stake[26];
  char unit[8];
} NAMADD_REC;

void get_indiv_rec(RECORD_PTR rin,INDIV_REC *indrec);
void get_marr_rec(RECORD_PTR mrin,MARR_REC *marec);
void get_note_rec(RECORD_PTR nbp,NOTE_REC *noterec);
extern RIN rin_max;

#endif /* GEDSUBS_H */
