#ifndef GEDUTILS_H
#define GEDUTILS_H
#include "gedsubs.h"


typedef struct USED_RIN
{
    int chart_nbr;  /* Chart number person was used in */
    unsigned char from_position; /* Position person was in */
    unsigned char used;  /* flag stating person was used in chart */
} 
USED_RIN;

/* structure used to keep track of continuation charts */
/* written to continuation file */
typedef struct CHART_START
{
    RECORD_PTR indiv;
    RECORD_PTR spouse;
    int chart_nbr; /* continuation chart number */
    int from_position; /* # 1 on this chart is the same as from_position */
    int continued_from_chart; /* on chart # */
    int generation;
} 
CHART_START;


void erase_used_rin_file(void);
void delete_cont_file(void);
void delete_file(char *name);
char * readLine(char *buf,int maxlen,FILE *fp_in);
char *convert_name(char *s, NAMES * ptrs,int maxLen);
char *convert_name2(char *s, NAMES * ptrs,int maxLen);
char *convert_place(char *s, PLACES *ptrs,int maxLen);
char *convert_place_reversed(char *s, PLACES *ptrs,int maxLen);
char *convert_date(char *s,PLACES *packed_date);
char *convert_date_reversed(char *s,PLACES *packed_date);
char *delete_trailing_blanks(char *buf);
char *get_cur_date(void);
#endif /* GEDUTILS_H */

