#ifndef PAFUTILS_H
#define PAFUTILS_H
#include "pafsubs.h"


typedef struct USED_RIN
{
    int chart_nbr;  /* Chart number person was used in */
    unsigned char from_position; /* Position person was in */
    unsigned char used;  /* flag stating person was used in chart */
} 
USED_RIN;

/* structure used to keep track of continuation charts */
/* written to continuation file */
typedef struct CHART_START
{
    RECORD_PTR indiv;
    RECORD_PTR spouse;
    int chart_nbr; /* continuation chart number */
    int from_position; /* # 1 on this chart is the same as from_position */
    int continued_from_chart; /* on chart # */
    int generation;
} 
CHART_START;


void erase_used_rin_file(void);
void delete_cont_file(void);
char *convert_name(char *s, RECORD_PTR * ptrs);
char *convert_name2(char *s, RECORD_PTR * ptrs);
char *convert_place(char *s, RECORD_PTR *ptrs);
char *convert_date(char *s,LONGDATE packed_date);
char *delete_trailing_blanks(char *buf);
void delete_file(char *name);
char *get_cur_date(void);
#endif /* PAFUTILS_H */

