/*
 * Copyright (C) 1995, John H. Smith.  All rights reserved.
 *
 * This file is part of ged2htm.
 *  
 * These programs are free software; you can redistribute them and/or modify
 * them under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * The GNU General Public License can be found in the file LICENSE.
 * 
 * The author of ged2htm is John Smith.  He may be reached on internet
 * at the address johns@FileNet.com, or via mail at 28032 Singleleaf,
 * Mission Viejo, Ca. 92692.
 * 
 * ------------
 * 
 *This file contains subroutines used by the various ged2htm programs.
 *
 * Last modified:
 *    4/10/95
 */
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>
#ifndef unix 
#include <dos.h>
#endif
#include "path.h"

char *PathString = NULL;

#ifdef unix
#define DIR_SEP '/'
#define FILENAME_MAX 256
#else
#define DIR_SEP '\\'
#endif

void
getPathString()
{
    PathString = getenv("PATH");
}

#if 0
Path = Z:.;Y:.;X:.;C:\PCTCP;C:\FILENET\SDKEXE;C:\U;C:\MSVC\BIN
#endif

char *
findFileInPath(char *file,char *path)
{
	struct stat buffer;
    char *cptr1;
    char *cptr2;
    char seperator;
    char dir_sep[2];
    static char testname[FILENAME_MAX];
    cptr1 = path;
    seperator = ';';
    testname[0] = 0;
    dir_sep[0] = DIR_SEP;
    dir_sep[1] = 0;

        /* first look in current directory */
        if(stat(file,&buffer) != -1)
        {
           return(file);
        }

    while(*cptr1 != 0)
    {
        cptr2 = strchr(cptr1,seperator);

        if(cptr2 != NULL)
        {
            strncpy(testname,cptr1,cptr2-cptr1);
            testname[cptr2-cptr1] = 0;
            cptr1=cptr2;
            cptr1++;

        }
        else
        {
            strcpy(testname,cptr1);
            cptr1 += strlen(cptr1); /* point to terminating 0 */
        }
        if((strlen(testname) == 2) && (testname[1] == ':'))
        {
                /* Its just a drive name.  Don't add a slash */
        }
        else
        {
                /* If it isn't already terminated with a slash */
                if(testname[strlen(testname) -1] != DIR_SEP)
                    strcat(testname,dir_sep);
        }
        strcat(testname,file);
#if 0
        printf("Testing path >%s<\n",testname);
#endif
#if 1
        if(stat(testname,&buffer) != -1)
        {
           return(&testname[0]);
        }
#endif
    }
    /* Not found */
    testname[0] = 0;
    return(NULL);
}

char *
findFileIn2Paths(char *file,char *path1,char *path2)
{
    char *cptr;
    cptr = findFileInPath(file,path1);
    if(cptr != NULL)
      return(cptr);
    return(findFileInPath(file,path2));
}



#if 0
main()
{
    char *fullPath;
    getPathString();
    printf("Path = >%s<\n",PathString);
    fullPath = findFileIn2Paths("list.com","",PathString);
    if(fullPath[1])
       printf("Found %s\n",fullPath);
}
#endif
