/*
 * Copyright (C) 1995, John H. Smith.  All rights reserved.
 *
 * This file is part of ged2htm.
 *  
 * These programs are free software; you can redistribute them and/or modify
 * them under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * The GNU General Public License can be found in the file LICENSE.
 * 
 * The author of ged2htm is John Smith.  He may be reached on internet
 * at the address johns@FileNet.com, or via mail at 28032 Singleleaf,
 * Mission Viejo, Ca. 92692.
 * 
 * ------------
 * 
 *This file contains subroutines used by the various ged2htm programs.
 *
 * Last modified:
 *    4/10/95
 */
#include "ged2htm.h"
#ifdef HTML
/* html version of pedigree chart */
char ped_chart2[NBR_PED_LINES] [CHART_MAX_WIDTH] =
{
"<A NAME=\"p01n08\"></A>                                              ",
"              ______                                                 ",
"              |      b.                                              ",
"              |      bp.                                             ",
"              |      m.                                              ",
"              |      mp.                                             ",
"              |      d.                                              ",
"              |      dp.                                             ",
"<A NAME=\"p01n04\"></A>              |                               ",
"        ______                                                       ",
"        |      b.                                                    ",
"        |      bp.                                                   ",
"        |      m.                                                    ",
"        |      mp.                                                   ",
"        |      d.                                                    ",
"        |      dp.                                                   ",
"<A NAME=\"p01n09\"></A>        |     |                               ",
"        |     |_____                                                 ",
"        |            b.                                              ",
"        |            bp.                                             ",
"        |            d.                                              ",
"        |            dp.                                             ",
"<A NAME=\"p01n02\"></A>        |                                     ",
"  ______                                                             ",
"  |      b.                                                          ",
"  |      bp.                                                         ",
"  |      m.                                                          ",
"  |      mp.                                                         ",
"  |      d.                                                          ",
"  |      dp.                                                         ",
"<A NAME=\"p01n10\"></A>  |     |                                     ",
"  |     |     ______                                                 ",
"  |     |     |      b.                                              ",
"  |     |     |      bp.                                             ",
"  |     |     |      m.                                              ",
"  |     |     |      mp.                                             ",
"  |     |     |      d.                                              ",
"  |     |     |      dp.                                             ",
"<A NAME=\"p01n05\"></A>  |     |     |                               ",
"  |     |_____                                                       ",
"  |            b.                                                    ",
"  |            bp.                                                   ",
"  |            d.                                                    ",
"  |            dp.                                                   ",
"<A NAME=\"p01n11\"></A>  |           |                               ",
"  |           |_____                                                 ",
"  |                  b.                                              ",
"  |                  bp.                                             ",
"  |                  d.                                              ",
"  |                  dp.                                             ",
"<A NAME=\"p01n01\"></A>  |                                           ",
"                                                                     ",
"   b.                                                                ",
"   bp.                                                               ",
"   m.                                                                ",
"   mp.                                                               ",
"   d.                                                                ",
"   dp.                                                               ",
"  |                                                                  ",
"  |Spouse:                                                           ",
"<A NAME=\"p01n12\"></A>  |                                           ",
"  |           ______                                                 ",
"  |           |      b.                                              ",
"  |           |      bp.                                             ",
"  |           |      m.                                              ",
"  |           |      mp.                                             ",
"  |           |      d.                                              ",
"  |           |      dp.                                             ",
"<A NAME=\"p01n06\"></A>  |           |                               ",
"  |     ______                                                       ",
"  |     |      b.                                                    ",
"  |     |      bp.                                                   ",
"  |     |      m.                                                    ",
"  |     |      mp.                                                   ",
"  |     |      d.                                                    ",
"  |     |      dp.                                                   ",
"<A NAME=\"p01n13\"></A>  |     |     |                               ",
"  |     |     |_____                                                 ",
"  |     |            b.                                              ",
"  |     |            bp.                                             ",
"  |     |            d.                                              ",
"  |     |            dp.                                             ",
"<A NAME=\"p01n03\"></A>  |     |                                     ",
"  |_____                                                             ",
"         b.                                                          ",
"         bp.                                                         ",
"         d.                                                          ",
"         dp.                                                         ",
"<A NAME=\"p01n14\"></A>        |                                     ",
"        |     ______                                                 ",
"        |     |      b.                                              ",
"        |     |      bp.                                             ",
"        |     |      m.                                              ",
"        |     |      mp.                                             ",
"        |     |      d.                                              ",
"        |     |      dp.                                             ",
"<A NAME=\"p01n07\"></A>        |     |                               ",
"        |_____                                                       ",
"               b.                                                    ",
"               bp.                                                   ",
"               d.                                                    ",
"               dp.                                                   ",
"<A NAME=\"p01n15\"></A>              |                               ",
"              |_____                                                 ",
"                     b.                                              ",
"                     bp.                                             ",
"                     d.                                              ",
"                     dp.                                             ",
    NULL
};
#else
/* Duplication of pafs pedigree chart */
char ped_chart2[NBR_PED_LINES] [170] =
{
    "",
    "                                                         PEDIGREE CHART",
    "                                                                             ",
    "                                                                             "
        "                                            ",
    "                                                                             ",
    "                                                                             ",
    "                                                                             ",
    "                                                                             ",
    "                                                                              " 
        "         8 -----------------------------------------",
    "                                                                              " 
        "          | BORN:                                   ",
    "                                                                              " 
        "          | PLACE:    ",
    "                                                                              " 
        "          | MARR:     ",
    "                                             4 -------------------------------" 
        "----------| PLACE:    ",
    "                                              | BORN:                         "
        "          | DIED:     ",
    "                                              | PLACE:                        "
        "          | PLACE:    ",
    "                                              | MARR:                         "
        "          |",
    "                                              | PLACE:                        "
        "         9 -----------------------------------------",
    "                                              | DIED:                         "
        "            BORN:                                   ",
    "                                              | PLACE:                        "
        "            PLACE:    ",
    "   2 -----------------------------------------|                               " 
        "            DIED:     ",
    "    | BORN:                                   |                               "
        "            PLACE:    ",
    "    | PLACE:                                  |",
    "    | MARR:                                   |                               "
        "        10 -----------------------------------------",
    "    | PLACE:                                  |                               "
        "          | BORN:                                   ",
    "    | DIED:                                   |                               "
        "          | PLACE:    ",
    "    | PLACE:                                  |                               "
        "          | MARR:     ",
    "    |                                        5 -------------------------------" 
        "----------| PLACE:    ",
    "    |                                           BORN:                         "
        "          | DIED:     ",
    "    |                                           PLACE:                        "
        "          | PLACE:    ",
    "    |                                           DIED:                         "
        "          |",
    "    |                                           PLACE:                        "
        "        11 -----------------------------------------",
    "   1 --------------------------------------                                   " 
        "            BORN:                                   ",
    "    | BORN:                                                                   "
        "            PLACE:    ",
    "    | PLACE:                                                                  "
        "            DIED:     ",
    "    | MARR:                                                                   "
        "            PLACE:    ",
    "    | PLACE:     ",
    "    | DIED:                                                                   "
        "        12 -----------------------------------------",
    "    | PLACE:                                                                  "
        "          | BORN:                                   ",
    "    |-----------------------------------------                                " 
        "          | PLACE:    ",
    "    | Spouse                                                                  " 
        "          | MARR:     ",
    "    |                                        6 -------------------------------" 
        "----------| PLACE:    ",
    "    |                                         | BORN:                         "
        "          | DIED:     ",
    "    |                                         | PLACE:                        "
        "          | PLACE:    ",
    "    |                                         | MARR:                         "
        "          |",
    "    |                                         | PLACE:                        "
        "        13 -----------------------------------------",
    "    |                                         | DIED:                         "
        "            BORN:                                   ",
    "    |                                         | PLACE:                        "
        "            PLACE:    ",
    "   3 -----------------------------------------|                               " 
        "            DIED:    ",
    "      BORN:                                   |                               "
        "            PLACE:    ",
    "      PLACE:                                  |",
    "      DIED:                                   |                               "
        "        14 -----------------------------------------",
    "      PLACE:                                  |                               "
        "          | BORN:                                   ",
    "                                              |                               " 
        "          | PLACE:    ",
    "                                              |                               " 
        "          | MARR:    ",
    "                                             7 -------------------------------" 
        "----------| PLACE:    ",
    "                                                BORN:                         "
        "          | DIED:    ",
    "                                                PLACE:                        "
        "          | PLACE:    ",
    "   Name and address of submitter:               DIED:                         "
        "          |",
    "                                                PLACE:                        "
        "        15 -----------------------------------------",
    "                                                                              " 
        "            BORN:                                   ",
    "                                                                              " 
        "            PLACE:    ",
    "                                                                              " 
        "            DIED:    ",
    "   Phone:                                                                     "
        "            PLACE:    ",
    NULL
};
#endif /* HTML */
