/*
 * Copyright (C) 1995, John H. Smith.  All rights reserved.
 *
 * This file is part of ged2htm.
 *  
 * These programs are free software; you can redistribute them and/or modify
 * them under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * The GNU General Public License can be found in the file LICENSE.
 * 
 * The author of ged2htm is John Smith.  He may be reached on internet
 * at the address johns@FileNet.com, or via mail at 28032 Singleleaf,
 * Mission Viejo, Ca. 92692.
 * 
 * ------------
 * 
 *This file contains subroutines used by the various ged2htm programs.
 *
 * Last modified:
 *    4/10/95
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#ifdef unix
#define DIR_SEP '/'
#else
#define DIR_SEP '\\'
#endif


int
mtoupper(int c)
{
    if(isascii(c) && islower(c))
        return toupper(c);
    return c;
}

/* String compare, case insensitive, up to n chars */
/* For machines without a strnicmp or equivelent */
int
mstrincmp(char *s1,char *s2,size_t n)
{
    n++;
    /*      if(s1 == s2) */
    /*              return(0);*/
    while(--n > 0 && mtoupper(*s1) == mtoupper(*s2++))
        if(*s1++ == '\0')
            return(0);
    return((n == 0)? 0: ((unsigned char)mtoupper(*s1) -
        (unsigned char)mtoupper(*--s2)));
}

void
cleanup_file_name(char *argv0,char *buffer,int strip_extension)
{
    char *cptr;

    cptr = argv0;

    if((cptr = strrchr(argv0,':')) != NULL)
    {
        cptr++;
        argv0 = cptr;
    }

    if((cptr = strrchr(argv0,DIR_SEP)) == NULL)
    {
        strcpy(buffer,argv0);
    }
    else
    {
       cptr++;
       strcpy(buffer,cptr);
    }
	if(strip_extension)
	{
    	if((cptr = strrchr(buffer,'.')) != NULL)
    	{
        	*cptr = 0;
    	}
	}
}

